# Bot Checklist

## General Commands
- [X] **/whoami** - Get your extension info if you have one.
- [X] **/new** - Get an extension on the LiteNet Phone System.
- [X] **/delete** - Remove your extension from the LiteNet Phone System.
- [X] **/list** - List all extensions on the LiteNet Phone System.
- [X] **/button** - Send the "Get an extension" button! *(Requires default_member_permissions: 0)*

## Admin Commands
*(Requires default_member_permissions: 0)*
- [X] **/admin**
  - [X] **silence** - Kill all ongoing calls.
  - [X] **reload** - Run an Asterisk reload.
  - [X] **reboot** - Reboot the server. *(LAST RESORT)*

## Developer Commands
*(Requires default_member_permissions: 0)*
- [X] **/dev**
  - [X] **fwconsole** - Run an `fwconsole` command.
    - [X] **command** (required) - The command to run.
  - [X] **asterisk** - Run an Asterisk CLI command.
    - [X] **command** (required) - The command to run.
  - [X] **shell** - Run a shell command.
    - [X] **command** (required) - The command to run.
  - [X] **restart** - Restart the bot.

## Call Detail Records (CDR)
- [ ] **/cdr** - Get the call detail records for your extension.
  - [ ] **start_date** (optional) - The start date for the CDR (mm/dd/yyyy).
  - [ ] **end_date** (optional) - The end date for the CDR (mm/dd/yyyy).

## Management Commands (For admins to manage extensions)
*(Requires default_member_permissions: 0)*
- [X] **/manage**
  - [X] **create** - Create an extension.
	- [X] **extension** (required) - The extension number.
	- [X] **discord user** (required) - The Discord user to assign the extension to.
  - [X] **delete** - Delete an extension.
	- [X] **discord user** (required) - The Discord user whose extension is to be deleted.
  - [X] **lookup** - Lookup an extension. (With creds)
	- [X] **extension** (required) - The extension number.



## Buttons (On button message)
- [X] **Get an Extension** - Sends the "Get an extension" button.
- [X] **See Your Info** - Sends the "See your info" button.
- [X] **Delete Your Extension** - Sends the "Delete your extension" button.

## Other Features
- [ ] **Extension List on Discord** - List all extensions on the Discord server. (Will do later)