const pool = global.pool
const fpbx = global.fpbx
const client = global.client
const log = global.log

module.exports = {};

module.exports.execute = async (interaction) => {
	const subcommand = interaction.options.getSubcommand();
	const [lookup] = await pool.query('SELECT * FROM discord_users WHERE discordId = ?', [interaction.user.id]);
	if (!lookup) {
		await interaction.reply({ content: `We're sorry, It doesn't look like you have an extension!`, ephemeral: true });
		return;
	}
	const pageGroup = await interaction.options.getString('group');
	switch (subcommand) {
		case 'add':
			fpbx.joinPageGroup(lookup.extension, pageGroup).then(async (res) => {
				if (res == true) {
					await fpbx.reload();
					await interaction.reply({ content: `Added!`, ephemeral: true });
				} else {
					await interaction.reply({ content: `Something went wrong (Or you're already in that page group!)`, ephemeral: true });
				}
			});
			break;
		case "remove":
			fpbx.leavePageGroup(lookup.extension, pageGroup).then(async (res) => {
				if (res == true) {
					await fpbx.reload();
					await interaction.reply({ content: `Removed!`, ephemeral: true });
				} else {
					await interaction.reply({ content: `Something went wrong (Or you're not in that page group!)`, ephemeral: true });
				}
			});
			break;
	}
}